<template>
    <div class="body">
      <div class="body-card">
        <el-tabs
          v-model="activeName"
          @tab-click="handleTabClick"
          tab-position="left"
        >
          <el-tab-pane label="系统参数设置" name="systemParameterSet" style="height: 100%">
            <SystemParameterSet :tableConfig="tableConfig" @refresh="getSystem"/>
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
</template>

<script>
import SystemParameterSet from './compontents/SystemParameterSet'
import { getSystemSet } from "@/api/systemSet/commonSet"
export default {
  name: "commonSet",
  components: {
    SystemParameterSet
  },
  data() {
    return {
      activeName: "systemParameterSet",
        // 系统参数设置
        tableConfig:{
          APS:[],
          WMS:[],
          CRM:[],
          SRM:[]
        },
    };
  },
  mounted() {
    this.handleTabClick()
  },
  computed: {
  },
  watch:{
    
  },
  methods: {
    handleTabClick() {
      if(this.activeName=='systemParameterSet') this.getSystem();
    },
    getSystem(){
      getSystemSet().then((res) => {
        if (res.code == 200) {
          if (res.data) {
            this.getTableSet('SRM',res.data.SRM)
          }
        }
      });
    },
    getTableSet(value,data){
      let arr=[]
      if(data&&Object.keys(data).length>0){
        for(let i in data){
          let list=[]
          if(data[i].type=='select'){
            let select=data[i].select
            if(select&&Object.keys(select).length>0){
              for(let j in select){
                list.push({
                  name:select[j],
                  id:select[j]
                })
              }
            }
          }
          let item={
            name:i,
            id:value+'&'+i,
            value:data[i].value,
            type:data[i].type,
            select:data[i].type=='select'?list:data[i].select,
            modeType:data[i].modeType
          }
          arr.push(item)
        }
      }
      this.tableConfig[value]=arr;
    },
  },
};
</script>
<style lang="scss" scoped>
  .body{
    box-sizing: border-box;
    padding: 10px 20px;
    border-radius: 12px;
    height: calc(100% - 20px);
    .body-card {
      background-color: #fff;
      border-radius: 12px;
      height: 100%;
      overflow: hidden;
    }
  ::v-deep .el-tabs__content{
    height:100%;
  }
  .cursor{
      cursor: pointer;
    }
  .rests-form{
    width:50%;
    
    .add-area {
      width: 60px;
      height: 60px;
      border: 2px solid #ddd;
      border-radius: 3px;
      text-align: center;
      line-height: 60px;
    }
    .add-area img {
      width: 100%;
      height: 100%;
    }
  }
}
::v-deep .el-tabs.el-tabs--left {
  height: 100%;
  .el-tabs__header.is-left {
    width: 150px;
    height: 100%;
    border-right: 1px solid #eee;
  }
  .el-tabs__item.is-left {
    text-align: left;
  }
  .el-tabs__item.is-left.is-active {
    background: rgba(64, 158, 255, 0.1);
  }

}
</style>

